> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/event-notifications-for-group.md).

# Event Notifications For Group

## GET /V2/{tenantVarCode}/groups/{groupId}/eventnotifications

> Returns event notifications for the group

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Event Notifications for Group"}],"paths":{"/V2/{tenantVarCode}/groups/{groupId}/eventnotifications":{"get":{"tags":["Event Notifications for Group"],"summary":"Returns event notifications for the group","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"groupId","in":"path","description":"Group Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventNotification"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventNotification"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventNotification"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventNotification"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventNotification"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventNotification"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventNotification"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventNotification"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EventNotification"}}}}}}}}},"components":{"schemas":{"EventNotification":{"required":["EventsExpression","NotificationName","Recipients"],"type":"object","properties":{"NotificationId":{"type":"string","description":"The unique identifier of the event notification","nullable":true},"NotificationName":{"minLength":1,"type":"string","description":"Free text with notification name"},"NotificationText":{"type":"string","description":"Optional free text that is used in messages sent to recipients","nullable":true},"NotificationDisabled":{"type":"boolean","description":"Used for disabling of existing notifications"},"Recipients":{"type":"array","items":{"$ref":"#/components/schemas/Recipient"},"description":"List of recipients"},"EventsExpression":{"minLength":1,"type":"string","description":"Logical expression which specifies when the notifications should be sent (for detailed info see Others tab)"},"TimeZoneId":{"type":"string","description":"Time zone that is used in case any time events are used in expression (for list of valid time zones see Others tab)","nullable":true},"RaiseAlert":{"type":"boolean","description":"Whether an alert should be raised in addition to notifying recipients"},"Severity":{"type":"string","description":"Notification severity (use \"0\" for None, \"1\" for Warning, \"2\" for High)","nullable":true},"DeviceType":{"type":"string","description":"When device type is set the notification applies to all devices of the device type.\r\nThis field is valid for tenant notification only","nullable":true},"Devices":{"type":"string","description":"Comma delimited list of device IDs the notification applies to or null for all devices.\r\nThis field is valid for tenant notification only","nullable":true}},"additionalProperties":false},"Recipient":{"required":["Type"],"type":"object","properties":{"Type":{"$ref":"#/components/schemas/RecipientType"},"TenantCode":{"type":"string","description":"Tenant Var Code (set for tenant lists and tenant contacts only)","nullable":true},"ContactId":{"type":"string","description":"Address book contact ID (set for device contacts and tenant contacts only)","nullable":true},"ContactDetailId":{"type":"string","description":"Address book contact detail ID (set for device contacts and tenant contacts only)","nullable":true},"ListId":{"type":"string","description":"Address book list id (set for device lists and tenant lists only)","nullable":true},"MessagingAddress":{"type":"string","description":"Messaging address, for example: \"mail:peter.norton@symantec.com\", \"sms:+3450546464564\" (set for messaging address recipient type only)","nullable":true},"Radius":{"type":"string","description":"Radius in kilometers (set for nearest devices recipient type only)","nullable":true},"ReportingFrequency":{"type":"string","description":"Reporting frequency in minutes (set for change reporting frequency type only)","nullable":true},"Interval":{"type":"string","description":"Check in interval in minutes (set for check in request type only)","nullable":true},"GroupId":{"type":"string","description":"Group ID (set for change group type only)","nullable":true}},"additionalProperties":false},"RecipientType":{"enum":["DeviceList","TenantList","DeviceContact","TenantContact","MessagingAddress","NearestDevices","DeviceUserEmail","DeviceUserSms","DeviceUserManagerEmail","DeviceUserManagerSms","DeviceUserEmergencyContacts","OtherDevicesInGroup","SendCheckInRequest","SendLocationRequest","ChangeReportingFrequency","SendTextMessage","StartMonitoring","StopMonitoring","ForceStopMonitoring","DeviceUserCall","DeviceUserManagerCall","DeviceCall","StartCheckInSchedule","StopCheckInSchedule","ChangeGroup","DeviceUserEmergencyContactsCall","DeviceUserEmergencyContactsEmail"],"type":"string"}}}}
```

## POST /V2/{tenantVarCode}/groups/{groupId}/eventnotifications

> Creates an event notification for the group

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Event Notifications for Group"}],"paths":{"/V2/{tenantVarCode}/groups/{groupId}/eventnotifications":{"post":{"tags":["Event Notifications for Group"],"summary":"Creates an event notification for the group","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"groupId","in":"path","description":"Group Id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Event Notification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/xml":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"text/plain":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"text/json":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"text/xml":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/EventNotification"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"EventNotification":{"required":["EventsExpression","NotificationName","Recipients"],"type":"object","properties":{"NotificationId":{"type":"string","description":"The unique identifier of the event notification","nullable":true},"NotificationName":{"minLength":1,"type":"string","description":"Free text with notification name"},"NotificationText":{"type":"string","description":"Optional free text that is used in messages sent to recipients","nullable":true},"NotificationDisabled":{"type":"boolean","description":"Used for disabling of existing notifications"},"Recipients":{"type":"array","items":{"$ref":"#/components/schemas/Recipient"},"description":"List of recipients"},"EventsExpression":{"minLength":1,"type":"string","description":"Logical expression which specifies when the notifications should be sent (for detailed info see Others tab)"},"TimeZoneId":{"type":"string","description":"Time zone that is used in case any time events are used in expression (for list of valid time zones see Others tab)","nullable":true},"RaiseAlert":{"type":"boolean","description":"Whether an alert should be raised in addition to notifying recipients"},"Severity":{"type":"string","description":"Notification severity (use \"0\" for None, \"1\" for Warning, \"2\" for High)","nullable":true},"DeviceType":{"type":"string","description":"When device type is set the notification applies to all devices of the device type.\r\nThis field is valid for tenant notification only","nullable":true},"Devices":{"type":"string","description":"Comma delimited list of device IDs the notification applies to or null for all devices.\r\nThis field is valid for tenant notification only","nullable":true}},"additionalProperties":false},"Recipient":{"required":["Type"],"type":"object","properties":{"Type":{"$ref":"#/components/schemas/RecipientType"},"TenantCode":{"type":"string","description":"Tenant Var Code (set for tenant lists and tenant contacts only)","nullable":true},"ContactId":{"type":"string","description":"Address book contact ID (set for device contacts and tenant contacts only)","nullable":true},"ContactDetailId":{"type":"string","description":"Address book contact detail ID (set for device contacts and tenant contacts only)","nullable":true},"ListId":{"type":"string","description":"Address book list id (set for device lists and tenant lists only)","nullable":true},"MessagingAddress":{"type":"string","description":"Messaging address, for example: \"mail:peter.norton@symantec.com\", \"sms:+3450546464564\" (set for messaging address recipient type only)","nullable":true},"Radius":{"type":"string","description":"Radius in kilometers (set for nearest devices recipient type only)","nullable":true},"ReportingFrequency":{"type":"string","description":"Reporting frequency in minutes (set for change reporting frequency type only)","nullable":true},"Interval":{"type":"string","description":"Check in interval in minutes (set for check in request type only)","nullable":true},"GroupId":{"type":"string","description":"Group ID (set for change group type only)","nullable":true}},"additionalProperties":false},"RecipientType":{"enum":["DeviceList","TenantList","DeviceContact","TenantContact","MessagingAddress","NearestDevices","DeviceUserEmail","DeviceUserSms","DeviceUserManagerEmail","DeviceUserManagerSms","DeviceUserEmergencyContacts","OtherDevicesInGroup","SendCheckInRequest","SendLocationRequest","ChangeReportingFrequency","SendTextMessage","StartMonitoring","StopMonitoring","ForceStopMonitoring","DeviceUserCall","DeviceUserManagerCall","DeviceCall","StartCheckInSchedule","StopCheckInSchedule","ChangeGroup","DeviceUserEmergencyContactsCall","DeviceUserEmergencyContactsEmail"],"type":"string"}}}}
```

## GET /V2/{tenantVarCode}/groups/{groupId}/eventnotifications/{notificationId}

> Returns event notification for the group

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Event Notifications for Group"}],"paths":{"/V2/{tenantVarCode}/groups/{groupId}/eventnotifications/{notificationId}":{"get":{"tags":["Event Notifications for Group"],"summary":"Returns event notification for the group","operationId":"GetGroupEventNotification","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"groupId","in":"path","description":"Group Id","required":true,"schema":{"type":"string"}},{"name":"notificationId","in":"path","description":"Notification Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/xml":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"text/plain":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"text/json":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"text/xml":{"schema":{"$ref":"#/components/schemas/EventNotification"}}}}}}}},"components":{"schemas":{"EventNotification":{"required":["EventsExpression","NotificationName","Recipients"],"type":"object","properties":{"NotificationId":{"type":"string","description":"The unique identifier of the event notification","nullable":true},"NotificationName":{"minLength":1,"type":"string","description":"Free text with notification name"},"NotificationText":{"type":"string","description":"Optional free text that is used in messages sent to recipients","nullable":true},"NotificationDisabled":{"type":"boolean","description":"Used for disabling of existing notifications"},"Recipients":{"type":"array","items":{"$ref":"#/components/schemas/Recipient"},"description":"List of recipients"},"EventsExpression":{"minLength":1,"type":"string","description":"Logical expression which specifies when the notifications should be sent (for detailed info see Others tab)"},"TimeZoneId":{"type":"string","description":"Time zone that is used in case any time events are used in expression (for list of valid time zones see Others tab)","nullable":true},"RaiseAlert":{"type":"boolean","description":"Whether an alert should be raised in addition to notifying recipients"},"Severity":{"type":"string","description":"Notification severity (use \"0\" for None, \"1\" for Warning, \"2\" for High)","nullable":true},"DeviceType":{"type":"string","description":"When device type is set the notification applies to all devices of the device type.\r\nThis field is valid for tenant notification only","nullable":true},"Devices":{"type":"string","description":"Comma delimited list of device IDs the notification applies to or null for all devices.\r\nThis field is valid for tenant notification only","nullable":true}},"additionalProperties":false},"Recipient":{"required":["Type"],"type":"object","properties":{"Type":{"$ref":"#/components/schemas/RecipientType"},"TenantCode":{"type":"string","description":"Tenant Var Code (set for tenant lists and tenant contacts only)","nullable":true},"ContactId":{"type":"string","description":"Address book contact ID (set for device contacts and tenant contacts only)","nullable":true},"ContactDetailId":{"type":"string","description":"Address book contact detail ID (set for device contacts and tenant contacts only)","nullable":true},"ListId":{"type":"string","description":"Address book list id (set for device lists and tenant lists only)","nullable":true},"MessagingAddress":{"type":"string","description":"Messaging address, for example: \"mail:peter.norton@symantec.com\", \"sms:+3450546464564\" (set for messaging address recipient type only)","nullable":true},"Radius":{"type":"string","description":"Radius in kilometers (set for nearest devices recipient type only)","nullable":true},"ReportingFrequency":{"type":"string","description":"Reporting frequency in minutes (set for change reporting frequency type only)","nullable":true},"Interval":{"type":"string","description":"Check in interval in minutes (set for check in request type only)","nullable":true},"GroupId":{"type":"string","description":"Group ID (set for change group type only)","nullable":true}},"additionalProperties":false},"RecipientType":{"enum":["DeviceList","TenantList","DeviceContact","TenantContact","MessagingAddress","NearestDevices","DeviceUserEmail","DeviceUserSms","DeviceUserManagerEmail","DeviceUserManagerSms","DeviceUserEmergencyContacts","OtherDevicesInGroup","SendCheckInRequest","SendLocationRequest","ChangeReportingFrequency","SendTextMessage","StartMonitoring","StopMonitoring","ForceStopMonitoring","DeviceUserCall","DeviceUserManagerCall","DeviceCall","StartCheckInSchedule","StopCheckInSchedule","ChangeGroup","DeviceUserEmergencyContactsCall","DeviceUserEmergencyContactsEmail"],"type":"string"}}}}
```

## PUT /V2/{tenantVarCode}/groups/{groupId}/eventnotifications/{notificationId}

> Updates event notification for the group

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Event Notifications for Group"}],"paths":{"/V2/{tenantVarCode}/groups/{groupId}/eventnotifications/{notificationId}":{"put":{"tags":["Event Notifications for Group"],"summary":"Updates event notification for the group","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"groupId","in":"path","description":"Group Id","required":true,"schema":{"type":"string"}},{"name":"notificationId","in":"path","description":"Notification Id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Event Notification","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/xml":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"text/plain":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"text/json":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"text/xml":{"schema":{"$ref":"#/components/schemas/EventNotification"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/EventNotification"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"EventNotification":{"required":["EventsExpression","NotificationName","Recipients"],"type":"object","properties":{"NotificationId":{"type":"string","description":"The unique identifier of the event notification","nullable":true},"NotificationName":{"minLength":1,"type":"string","description":"Free text with notification name"},"NotificationText":{"type":"string","description":"Optional free text that is used in messages sent to recipients","nullable":true},"NotificationDisabled":{"type":"boolean","description":"Used for disabling of existing notifications"},"Recipients":{"type":"array","items":{"$ref":"#/components/schemas/Recipient"},"description":"List of recipients"},"EventsExpression":{"minLength":1,"type":"string","description":"Logical expression which specifies when the notifications should be sent (for detailed info see Others tab)"},"TimeZoneId":{"type":"string","description":"Time zone that is used in case any time events are used in expression (for list of valid time zones see Others tab)","nullable":true},"RaiseAlert":{"type":"boolean","description":"Whether an alert should be raised in addition to notifying recipients"},"Severity":{"type":"string","description":"Notification severity (use \"0\" for None, \"1\" for Warning, \"2\" for High)","nullable":true},"DeviceType":{"type":"string","description":"When device type is set the notification applies to all devices of the device type.\r\nThis field is valid for tenant notification only","nullable":true},"Devices":{"type":"string","description":"Comma delimited list of device IDs the notification applies to or null for all devices.\r\nThis field is valid for tenant notification only","nullable":true}},"additionalProperties":false},"Recipient":{"required":["Type"],"type":"object","properties":{"Type":{"$ref":"#/components/schemas/RecipientType"},"TenantCode":{"type":"string","description":"Tenant Var Code (set for tenant lists and tenant contacts only)","nullable":true},"ContactId":{"type":"string","description":"Address book contact ID (set for device contacts and tenant contacts only)","nullable":true},"ContactDetailId":{"type":"string","description":"Address book contact detail ID (set for device contacts and tenant contacts only)","nullable":true},"ListId":{"type":"string","description":"Address book list id (set for device lists and tenant lists only)","nullable":true},"MessagingAddress":{"type":"string","description":"Messaging address, for example: \"mail:peter.norton@symantec.com\", \"sms:+3450546464564\" (set for messaging address recipient type only)","nullable":true},"Radius":{"type":"string","description":"Radius in kilometers (set for nearest devices recipient type only)","nullable":true},"ReportingFrequency":{"type":"string","description":"Reporting frequency in minutes (set for change reporting frequency type only)","nullable":true},"Interval":{"type":"string","description":"Check in interval in minutes (set for check in request type only)","nullable":true},"GroupId":{"type":"string","description":"Group ID (set for change group type only)","nullable":true}},"additionalProperties":false},"RecipientType":{"enum":["DeviceList","TenantList","DeviceContact","TenantContact","MessagingAddress","NearestDevices","DeviceUserEmail","DeviceUserSms","DeviceUserManagerEmail","DeviceUserManagerSms","DeviceUserEmergencyContacts","OtherDevicesInGroup","SendCheckInRequest","SendLocationRequest","ChangeReportingFrequency","SendTextMessage","StartMonitoring","StopMonitoring","ForceStopMonitoring","DeviceUserCall","DeviceUserManagerCall","DeviceCall","StartCheckInSchedule","StopCheckInSchedule","ChangeGroup","DeviceUserEmergencyContactsCall","DeviceUserEmergencyContactsEmail"],"type":"string"}}}}
```

## DELETE /V2/{tenantVarCode}/groups/{groupId}/eventnotifications/{notificationId}

> Deletes event notification for the group

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Event Notifications for Group"}],"paths":{"/V2/{tenantVarCode}/groups/{groupId}/eventnotifications/{notificationId}":{"delete":{"tags":["Event Notifications for Group"],"summary":"Deletes event notification for the group","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"groupId","in":"path","description":"Group Id","required":true,"schema":{"type":"string"}},{"name":"notificationId","in":"path","description":"Notification Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```
